Subject: bug#24993: System installer grows brittle with time

From: Efraim Flashner <[email-masked]>
Date: Tue, 29 Nov 2016 10:44:06 +0200

On Mon, Nov 28, 2016 at 09:33:36PM -0500, Leo Famulari wrote:
> On Mon, Nov 28, 2016 at 08:45:39AM -0900, Christopher Howard wrote:
> > I was able to make more progress with the --substitute-urls=... option
> > you mentioned. However, later, when the system is building the
> > gnupg-2.1.13 drv (I did not pass --fallback, but it still builds stuff)
> > one of the 36 check tests fails ("tofu.test"), causing the build to fail.
> 
> It will build stuff if it can't find a substitute (not an error).
> '--fallback' is only required when substitution fails (an error).
> 
> That particular test failure was a bug in GnuPG's test suite that we
> worked around:
> 
> http://git.savannah.gnu.org/cgit/guix.git/commit/?id=d404a6f9711c8dcc1cc6cf55d8c07901aa450192
> 
> Code with an expiration date is very annoying!
> 
> It sounds like you will need to use `guix pull`.
> 
> What do others think? Should we mention `guix pull` in the installation
> documentation?
> 
> I'm skeptical for reasons described upthread. I think the real bug is
> that the installation image becomes brittle as time passes (so I changed
> the subject of my reply).
> 
> Does anyone have ideas to mitigate this? Can we tweak the mirrors? Will
> this become less pressing when we have more storage space and can store
> substitutes for a longer period?
> 
> 

Currently when people pop into IRC saying they're having trouble with
their install, the suggestion is "run guix pull, use one of the
'default' configurations and then reconfigure after you're finally up
and running, and my favorite, no one really knows why ratpoison is the
fallback WM even when it's not listed in the OS config."

I think we should add 'guix pull' as a regular part of the install
process, and we should add more example configs so people can mix and
match them with fewer issues by virtue of having more examples to
compare against. It would also give us examples to point to for 'how to
use encrypted partitions', 'how to not use wicd', 'how to use a
swapfile', 'i want my kid's account's shell to be 'bambam' or
'gcompris', how do I do that?'

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted